tbb::interface6::aggregator Class Reference

Basic aggregator interface. More...

`#include <aggregator.h>`

Inheritance diagram for tbb::interface6::aggregator:
Collaboration diagram for tbb::interface6::aggregator:

## Public Member Functions

| aggregator ()
template<typename Body >
void | execute (const Body &b)
| BASIC INTERFACE: Enter a function for exclusive execution by the aggregator. More...

## Additional Inherited Members

Private Member Functions inherited from tbb::interface6::aggregator_ext< internal::basic_handler >
| aggregator_ext (const internal::basic_handler &h)
void | process (aggregator_operation *op)
| EXPERT INTERFACE: Enter a user-made operation into the aggregator's mailbox. More...
void | execute_impl (aggregator_operation &op)

## Detailed Description

Basic aggregator interface.

Definition at line 180 of file aggregator.h.

## Constructor & Destructor Documentation

## aggregator()

tbb::interface6::aggregator::aggregator | ( |  | ) |

inline

Definition at line 182 of file aggregator.h.

: aggregator_ext<internal::basic_handler>(internal::basic_handler()) {}

## Member Function Documentation

## execute()

template<typename Body >

void tbb::interface6::aggregator::execute | ( | const Body & | b | ) |

inline

BASIC INTERFACE: Enter a function for exclusive execution by the aggregator.

The calling thread stores the function object in a basic_operation and places the operation in the aggregator's mailbox

Definition at line 187 of file aggregator.h.

{
internal::basic_operation<Body> op(b);
this->execute_impl(op);
}
tbb::interface6::aggregator_ext< internal::basic_handler >::execute_impl
void execute_impl(aggregator_operation &op)
Definition: aggregator.h:107

The documentation for this class was generated from the following file:

- aggregator.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.